org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ProjectTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProjectTest

- Direct Known Subclasses:
    ProjectTest.Traversals

      public abstract class ProjectTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProjectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX()`
    `void` | `g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX()`
    `void` | `g_V_valueMap_projectXxX_byXselectXnameXX()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_valueMap_projectXxX_byXselectXnameXX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectTest

          public ProjectTest()

  - ### Method Detail

    - #### get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX()

    - #### get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX

          public abstract Traversal<Vertex,String> get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX()

    - #### get_g_V_valueMap_projectXxX_byXselectXnameXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_valueMap_projectXxX_byXselectXnameXX()

    - #### g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX

          public void g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX()

    - #### g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX

          public void g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX()

    - #### g_V_valueMap_projectXxX_byXselectXnameXX

          public void g_V_valueMap_projectXxX_byXselectXnameXX()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.